Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5081 - Red Hat boot image from web is corrupt
Summary: Red Hat boot image from web is corrupt
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bootp
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-12 03:24 UTC by margarita
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 18:32:34 UTC


Attachments (Terms of Use)

Description margarita 1999-09-12 03:24:08 UTC
ftp::/updates.redhat.com/6.0/images/i366/boot.img is
corrupt;  fails signature from the following command.
"rpm --checksig --nopgp boot.img"

result:
boot.img: rpmReadSignature failed

(another gottcha)

Comment 1 Bill Nottingham 1999-09-13 18:31:59 UTC
Its not an RPM - you can't run rpm --checksig on it.

Comment 2 margarita 1999-09-18 18:35:59 UTC
boot.img has invalid signature from rpm - is corrupt and won't boot
the system

Comment 3 Bill Nottingham 1999-09-18 20:30:59 UTC
What is the error message?

Comment 4 margarita 1999-09-19 01:08:59 UTC
The error message is:
booting:
loading initrd.img.......boot failed.
As mentioned above another error message is the failed signature of
rpm.

I noticed that the filesystem of boot.img is type vfat while the
modules and supp disk is ext2. Does that make any difference?

Comment 5 David Lawrence 1999-09-19 18:35:59 UTC
You may likely have a bad disk or currupted download. Please try again
with either a new diskette or redownload the file.

Comment 6 margarita 1999-10-25 21:50:59 UTC
Still corrupt as far as I know.
The rpm issue:

If I am not supposed to run rpm on it then the web page has an error.

Check
http://www.redhat.com/corp/support/errata/RHEA1999036_01.html
It states:
You can verify each package with the following command:

rpm --checksig filename


If you only wish to verify that each package has not been corrupted or
tampered with, examine only the md5sum with the following command:

rpm --checksig --nopgp filename
MD5 sum                           Package Name
--------------------------------------------

fb4148c2beb24916bb656285707208e  boot.img
20388eb5a5e5610e13d15c052253ac4b  bootnet.img
e44b6ca830437d9dff5a3b4279c24e85  modules.img
bd59241e384f615aed68d0e8bc37320d  supp.img


Last time I tried the numbers did not match. I will try
another time this evening when I get home.


Note You need to log in before you can comment on or make changes to this bug.